Subject: Bug#2450: 'cdir' STILL occasionally dumps /etc/passwd contents

From: Larry Gilbert <[email-masked]>
Date: Wed, 31 Jul 1996 11:56:55 -0700

Package: cdtool
Version: 1.0-5

With package version 1.0-5, this problem seems to have been reduced, but
it is still present (and can cause shock when it happens :-)).

The problem only seems to occur when a CD's characteristics go beyond
certain unknown limits and there is no entry for the CD in ~/.cdtooldb.

I have been doing 'cdir' on a number of new CDs, and for a while it
looked like none were inspiring 'cdir' to dump the contents of
/etc/passwd.  However, it happened to me today for the first time since
upgrading the package to 1.0-5.  The CD that caused this was a music CD
with 46 tracks and a total playing time of 71:18.  (I don't think any
CDs I've loaded before this had more than 30 tracks.)

I added info for the CD by using 'cdadd', taking all the /etc/passwd
garbage out, and putting in a CD title and track names.  This appeared
to clear up the problem.  So that is one possible workaround (not a
great one, since everyone with access to the CD-ROM drive and 'cdir' has
to do it.)

The only other connection I can see between my case and Owen Dunn's case
is a similarity in CD-ROM drive model numbers:

> cat /proc/scsi/scsi
Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: COMPAQPC Model: DPES-31080       Rev: S31K
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 05 Lun: 00
  Vendor: COMPAQ   Model: CD-ROM CR-503BCQ Rev: 1.1c
  Type:   CD-ROM                 ^^^^^^    ANSI SCSI revision: 02

This is happening on a Compaq Deskpro XL running the Linux 2.0.8 kernel.

--
Larry Gilbert
[email-masked]
Seattle, WA, USA
I speak only for myself and not for my employer